Skip to content

[NCE-917] Update docs for prepaid cards#26

Open
angel-obretenov-runa wants to merge 5 commits into
mainfrom
nce-917
Open

[NCE-917] Update docs for prepaid cards#26
angel-obretenov-runa wants to merge 5 commits into
mainfrom
nce-917

Conversation

@angel-obretenov-runa

@angel-obretenov-runa angel-obretenov-runa commented Jun 15, 2026

Copy link
Copy Markdown

Adds public-docs coverage for the new optional product_usage_config.spend_rules_template_id field, which attaches a Runa-authored MCC-rules template to an issued prepaid Visa card.

Changes
OpenAPI: added ProductUsageConfig and a dedicated SingleProductWithUsageConfig schema, wired into the create order request and get order details response only. Shared SingleProduct left untouched. Descriptions note it's prepaid-Visa-only and echoed back when set.
Guide: Added a new page called 'Card spend controls' where it's explained everything MCC related

product usage config mentioned in the request body field for Create order
image

mentioned in Using Prepaid Visa Cards
image

New page Card spend controls
image
image
image

@mintlify

mintlify Bot commented Jun 15, 2026

Copy link
Copy Markdown
Contributor

Preview deployment for your docs. Learn more about Mintlify Previews.

Project Status Preview Updated (UTC)
Runa 🟢 Ready View Preview Jun 15, 2026, 10:08 AM

💡 Tip: Enable Workflows to automatically generate PRs for you.

Comment thread reference/2024-02-05/openapi.json
Comment thread reference/2024-02-05/openapi.json
Comment thread reference/2024-02-05/openapi.json
Comment thread features/prepaid-visa/spend-controls.mdx Outdated
@@ -0,0 +1,54 @@
---

Copy link
Copy Markdown
Collaborator

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

This page leaves an open question of where these template IDs come from. Have we got that yet?

Copy link
Copy Markdown
Author

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

I've left at the bottom of the page some info on how to get that
image

"oneOf": [
{
"$ref": "#/components/schemas/SingleProduct"
"$ref": "#/components/schemas/SingleProductWithUsageConfig"

Copy link
Copy Markdown
Collaborator

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

Why rename the component rather than extending the existing one?

Ideally we apply this to all cases, other services such as the estimate endpoint can ignore the extra fields for now.

Copy link
Copy Markdown
Author

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

my idea was to not include this parameter in the estimate endpoints. It is optional, but it serves no purpose for the estimate endpoint

Comment thread reference/2024-02-05/openapi.json Outdated
"example": "AMZ-US",
"type": "string"
},
"product_usage_config": {

Copy link
Copy Markdown
Collaborator

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

Is it too late to suggest dropping product_ from this key?

Suggested change
"product_usage_config": {
"usage_config": {

We're already inside the products object so products.usage_config is sufficent, products.product_usage_config repeats.

Copy link
Copy Markdown
Author

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

one potential side effect of that would be if in the future we decide the store the whole field for other services, then we should store it as product_usage_config so they know it's related to the product.

The change will be only in ROS and we have to change the contract a bit

https://app.notion.com/p/runahq/Attaching-spend-rule-templates-to-a-prepaid-card-order-366c1d69b5af80199551c80df343ed74?source=copy_link

It's not a big change, I'll draft a ticket

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

Labels

None yet

Development

Successfully merging this pull request may close these issues.

3 participants